#!/bin/bash
  
DATE=${1:-'yesterday'}
NODE='https://nodejs.org/download/nightly/'
HTML=$(curl $NODE | grep $(date -d "$(echo $DATE)" +%Y%m%d))
FREL=$(echo $HTML | sed 's/^.*">//' | sed 's\/.*\\')
NREL=$(echo $FREL | sed 's/^.*-//')

echo $NREL
echo $DATE
echo $HTML
LINK=$NODE$FREL/node-$FREL.tar.gz

echo $LINK

rm -rf node-$FREL*

wget $LINK

tar -xzf node-$FREL.tar.gz
rm -rf node-$FREL/deps/openssl
#cat node-$FREL/deps/http_parser/http_parser.h | grep VERSION
#cat node-$FREL/deps/cares/include/ares_version.h | grep VERSION
V8="cat node-$FREL/deps/v8/include/v8-version.h"
V8_MAJ=$( $V8 | grep "V8_MAJOR" | sed 's/^.*ON //')
V8_MIN=$( $V8 | grep "V8_MINOR" | sed 's/^.*ON //')
V8_BUILD=$( $V8 | grep "BUILD_NUMBER" | sed 's/^.*ER //')
V8_PATCH=$( $V8 | grep "PATCH_LEVEL" | sed 's/^.*EL //')
echo $V8_MAJ
echo $V8_MIN
echo $V8_BUILD
echo $V8_PATCH

cat node-$FREL/deps/npm/package.json | grep version
tar -zcf node-$FREL-stripped.tar.gz node-$FREL
rm -rf node-$FREL/
rm -rf node-$FREL.tar.gz*

sed -i 's/nodejs_git .*/nodejs_git '$NREL'/' node.spec
sed -i 's/v8_major .*/v8_major '$V8_MAJ'/' node.spec
sed -i 's/v8_minor .*/v8_minor '$V8_MIN'/' node.spec
sed -i 's/v8_build .*/v8_build '$V8_BUILD'/' node.spec
sed -i 's/v8_patch .*/v8_patch '$V8_PATCH'/' node.spec
